const u = (r, t, e) => e ? `${r}-${[t]}-${e}` : `${r}-${[t]}`;
function $(r, t, e) {
  return process.env.NODE_ENV !== "production" && r && t ? { "data-testid": u(r, t, e) } : {};
}
export {
  u as getNameDataTestId,
  $ as getPropDataTestId
};
